using UnityEngine;
using System.Collections;

public class Projectile : MonoBehaviour 
{
	public int damage = 1;
	public float projectileDuration = 3;
	public int elementalType = 0;
	public Element ProjectileType;

	void Start () 
	{
		switch(elementalType)
		{
			case 0: ProjectileType = Element.Soul; break;
			case 1: ProjectileType = Element.Electricity; break;
			case 2: ProjectileType = Element.Plasma; break;
			case 3: ProjectileType = Element.Fire; break;
			case 4: ProjectileType = Element.Mercury; break;
			case 5: ProjectileType = Element.Life; break;
		}
		Destroy(gameObject,projectileDuration);
	}
}
